﻿@model MIMS.Portal.ViewModels.Terminal.TerminalViewModel
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "اطلاعات پایانه";
}

<section>
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">مشخصات پایانه</h4>
        </div>
        <div class="card-body">
            <div class="card-block">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="MerchantFullName" class="control-label"></label>
                            <p><strong>@Model?.MerchantFullName</strong></p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="MerchantNationalCode" class="control-label"></label>
                            <p><strong>@Model?.MerchantNationalCode</strong></p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="CreatedDate" class="control-label"></label>
                            <p><strong dir="ltr">@Model.CreatedDate.ToPeString()</strong></p>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="TerminalType" class="control-label"></label>
                            <p><strong>@Html.DisplayFor(model => model.TerminalType)</strong></p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="PspProvider" class="control-label"></label>
                            <p><strong>@Html.DisplayFor(model => model.PspProvider)</strong></p>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="StoreId" class="control-label"></label>
                            <p><strong>@Model?.StoreFullName</strong></p>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label asp-for="BankAccountId" class="control-label"></label>
                            <p><strong>@Model?.BankAccountFullName</strong></p>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="DeviceConnectionType" class="control-label"></label>
                            <p><strong>@Html.DisplayFor(model => model.DeviceConnectionType)</strong></p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="DeviceBrandId" class="control-label"></label>
                            <p><strong>@Model?.DeviceBrandName</strong></p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="DeviceModelId" class="control-label"></label>
                            <p><strong>@Model?.DeviceModelName</strong></p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="DeviceId" class="control-label"></label>
                            <p><strong>@Model?.DeviceSerial</strong></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-footer">
            <a asp-action="Edit" asp-controller="Terminals" asp-route-Id="@Model.Id" class="btn btn-info"><i class="icon-edit0"></i> ویرایش</a>
        </div>
    </div>
</section>

@section Scripts{

}